By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
459,312 Members | 1,280 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 459,312 IT Pros & Developers. It's quick & easy.

PEAR install gone strange

P: n/a
Hello,

Was wondering if anyone could help me out with a bit of wierd prob. I
have pear installed in a UNIX box, with PHP 5.1.2. I'm trying to
install some packages by running pear install package.tgz, but always
end up with something like ....

pear/XML_Parser requires package "pear/PEAR"
No valid packages found
install failed

So i try to install PEAR package and end up with ...

Skipping package "pear/PEAR", already installed as version 1.4.6
No valid packages found
install failed

I run pear list ....

Installed packages, channel pear.php.net:
=========================================
Package Version State
Archive_Tar 1.3.1 stable
Console_Getopt 1.2 stable
XML_RPC 1.5.0 stable

Does anyone have any suggestions as to what could be happening here??

Thanks,
J

Aug 10 '06 #1
Share this Question
Share on Google+
2 Replies


P: n/a
Hello ,

Try to reinstall PEAR again.
Thanks
- weetat
jh******@gmail.com wrote:
Hello,

Was wondering if anyone could help me out with a bit of wierd prob. I
have pear installed in a UNIX box, with PHP 5.1.2. I'm trying to
install some packages by running pear install package.tgz, but always
end up with something like ....

pear/XML_Parser requires package "pear/PEAR"
No valid packages found
install failed

So i try to install PEAR package and end up with ...

Skipping package "pear/PEAR", already installed as version 1.4.6
No valid packages found
install failed

I run pear list ....

Installed packages, channel pear.php.net:
=========================================
Package Version State
Archive_Tar 1.3.1 stable
Console_Getopt 1.2 stable
XML_RPC 1.5.0 stable

Does anyone have any suggestions as to what could be happening here??

Thanks,
J
Aug 10 '06 #2

P: n/a
Is there an easy way to do this?? I'm new to the server side of things.
Would re-installing mean a recompile of PHP??
we********@gmail.com wrote:
Hello ,

Try to reinstall PEAR again.
Thanks
- weetat
jh******@gmail.com wrote:
Hello,

Was wondering if anyone could help me out with a bit of wierd prob. I
have pear installed in a UNIX box, with PHP 5.1.2. I'm trying to
install some packages by running pear install package.tgz, but always
end up with something like ....

pear/XML_Parser requires package "pear/PEAR"
No valid packages found
install failed

So i try to install PEAR package and end up with ...

Skipping package "pear/PEAR", already installed as version 1.4.6
No valid packages found
install failed

I run pear list ....

Installed packages, channel pear.php.net:
=========================================
Package Version State
Archive_Tar 1.3.1 stable
Console_Getopt 1.2 stable
XML_RPC 1.5.0 stable

Does anyone have any suggestions as to what could be happening here??

Thanks,
J
Aug 10 '06 #3

This discussion thread is closed

Replies have been disabled for this discussion.